com.sun.grid.jgdi.event

## Class JobFinalUsageEvent

- java.lang.Object
- - com.sun.grid.jgdi.event.Event
  - - com.sun.grid.jgdi.event.JobEvent
    - - com.sun.grid.jgdi.event.JobUsageEvent
      - - com.sun.grid.jgdi.event.JobFinalUsageEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class JobFinalUsageEvent
      extends JobUsageEvent
      implements java.io.Serializable

  Java Wrapper class for the JOB_FINAL_USAGE event
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobFinalUsageEvent(long timestamp, int evtId)`

  - ### Method Summary

    - ### Methods inherited from class com.sun.grid.jgdi.event.JobUsageEvent

      `addUsage, getLoadValue, getLoadValueNames, getUsage`

    - ### Methods inherited from class com.sun.grid.jgdi.event.JobEvent

      `getJobId, getPeTaskId, getTaskId, setJobId, setPeTaskId, setTaskId, toString`

    - ### Methods inherited from class com.sun.grid.jgdi.event.Event

      `getEventId, getTimestamp, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JobFinalUsageEvent

          public JobFinalUsageEvent(long timestamp,
                                    int evtId)

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.